/*
 * This file is part of DungeonCreeper.
 *
 * Copyright (c) 2012-2012, Karang <http://arthur.hennequin.free.fr/>
 * DungeonCreeper is licensed under the SpoutDev License Version 1.
 *
 * DungeonCreeper is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * In addition, 180 days after any changes are published, you can use the
 * software, incorporating those changes, under the terms of the MIT license,
 * as described in the SpoutDev License Version 1.
 *
 * DungeonCreeper is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License,
 * the MIT license and the SpoutDev License Version 1 along with this program.
 * If not, see <http://www.gnu.org/licenses/> for the GNU Lesser General Public
 * License and see <http://www.spout.org/SpoutDevLicenseV1.txt> for the full license,
 * including the MIT license.
 */
package fr.karang.dungeoncreeper;

import java.io.File;

import org.spout.api.exception.ConfigurationException;
import org.spout.api.util.config.ConfigurationHolder;
import org.spout.api.util.config.ConfigurationHolderConfiguration;
import org.spout.api.util.config.yaml.YamlConfiguration;

public class DungeonConfig extends ConfigurationHolderConfiguration {
	// Client config
	public static final ConfigurationHolder USERNAME = new ConfigurationHolder("Imp", "client", "username");
	// Server config
	public static final ConfigurationHolder HOST = new ConfigurationHolder("127.0.0.1", "server", "host");
	public static final ConfigurationHolder PORT = new ConfigurationHolder(25565, "server", "port");
	// Worlds config
	public static final ConfigurationHolder WORLD_MAX_WIDTH = new ConfigurationHolder(10, "world", "maxwidth");
	public static final ConfigurationHolder WORLD_MAX_LENGTH = new ConfigurationHolder(10, "world", "maxlength");
	public static final ConfigurationHolder WORLD_MAX_PLAYERS = new ConfigurationHolder(20, "world", "maxplayers");

	public DungeonConfig(File dataFolder) {
		super(new YamlConfiguration(new File(dataFolder, "config.yml")));
	}

	@Override
	public void load() throws ConfigurationException {
		super.load();
		super.save();
	}
}
